The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Details of Licenses Assigned to the Sensor in a Stack

Prev Next

This URL allows you to get details of licenses assigned to the Sensor in a stack

Resource URL

sensorstack/license/<stack_name>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

stack_name

Name of the stack

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

String

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

licensedevList

List of license details

Array

licensevalState

Validity status of license

String

Details of licensedevList:

Field Name

Description

Data Type

licenseId

License ID details

String

capacity

Capacity details

Number

customerName

Name of the customer

String

grantId

Grant ID details

String

grantIndex

Grant index details

Number

sensorModel

Sensor model details

String

expiryDate

Date of license expiry

String

perpetual

Perpetual license status

Boolean

gracePeriodActive

Status of grace period

Boolean

Example

Request

GET https://<IPSM_IP>/sdkapi/sensorstack/license/suricata_stack_41_42

Response

	
{
    "success": true,
    "msg": "Success",
    "errMsg": null,
    "data": {
        "licensedevList": [
            {
                "licenseId": "NS96000605",
                "capacity": 60.0,
                "customerName": "Trellix - for Eval Purposes Only",
                "grantID": "96000605",
                "grantIndex": 1,
                "sensorModel": "IPS-NS9600",
                "expiryDate": "05-01-2026",
                "perpetual": false,
                "gracePeriodActive": false
            },
            {
                "licenseId": "NS96000604",
                "capacity": 60.0,
                "customerName": "Trellix - for Eval Purposes Only",
                "grantID": "96000604",
                "grantIndex": 1,
                "sensorModel": "IPS-NS9600",
                "expiryDate": "05-01-2026",
                "perpetual": false,
                "gracePeriodActive": false
            }
        ],
        "licensevalState": "VALID"
    },
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues